{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "IC_CODE"; 
            externalType = VARCHAR2; 
            name = icCode; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            columnName = "IC_ID"; 
            externalType = NUMBER; 
            name = icId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IC_LIBELLE"; 
            externalType = VARCHAR2; 
            name = icLibelle; 
            valueClassName = NSString; 
            width = 256; 
        }
    ); 
    attributesUsedForLocking = (icId, icCode); 
    className = "org.cocktail.fwkcktlgfcoperations.server.metier.operation.IndicateursContrat"; 
    classProperties = (icId, icCode, icLibelle); 
    externalName = "GFC.INDICATEURS_CONTRAT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (icCode, icLibelle); }; 
    name = OpeIndicateursContrat; 
    primaryKeyAttributes = (icId); 
}
